0
votes
1answer
55 views

How to stop ruby on Mac OS X

When I run a faulty ruby loop programme, my CPU start running fast as you can see in the following image. I stop abort it by ctrl C but it keep running. Only I can stop it to restart the computer. Is ...
0
votes
0answers
81 views

compass stopped working after installing old ruby

I was trying to get command-t to work in vim, and when troubleshooting it seemed like I needed to install an older ruby (1.8.7) than the one I had (2.0.0) I tried installing ruby 1.8.7 but got some ...
6
votes
2answers
4k views

Install rails on Mac OS X

I try to install Rails on Mac OS X. I already installed ruby. $ ruby -v ruby 2.0.0p247 (2013-06-27 revision 41674) [x86_64-darwin11.4.2] I check whether Rails is installed: $ rails -v Rails is ...
0
votes
1answer
182 views

Uninstalled Ruby.Frameworks on Mac OS X 10.8

In an attempt to create a clean Ruby slate for myself, I uninstalled RVM, rbenv (yeah, I had both installed, whoops), Gem, Bundler, and the pre-installed version of Ruby. I didn't realize the chaos ...
0
votes
1answer
454 views

Why do I not have permissions to run this method?

I'm using a Ruby gem called IMGKit and when I use the gem's to_img method in the console I get this error: IMGKit::CommandFailedError: Command failed: /rubyprograms/search --format jpg ...
1
vote
2answers
588 views

ImageMagick requirement for Paperclip plugin

The Ruby on Rails paperclip plugin says that I need to install ImageMagick in order to use Paperclip. I'm typically really bad at getting things installed and running, so I was wondering if anyone ...
0
votes
2answers
421 views

How to re-install ruby on Mac Snow Leopard?

I Accidentally corrupted my system install of ruby and cant find out how to fix this. Any ideas? Basically i was trying to install Redmine on my system and i accidentally copied a file into ...
3
votes
1answer
12k views

How to completely remove Ruby, Ruby gems on Mac OS X 10.6.4

Most rubyists might be shocked when they'll read this, but I'd like to know if it's possible to completely remove the Ruby framework as well as all the tools and gems that ship with Mac OS X 10.6.4. ...
4
votes
2answers
3k views

Readline problems installing Ruby with RVM

I'm struggling with rvm. This isn't the first time I've installed rvm, and it isn't the first time I've had problems with it, but this problem is proving to be a right pain; and all of the articles ...
1
vote
1answer
802 views

How to update Ruby in Google SketchUp for Mac?

Currently Google SketchUp for Mac has Ruby version 1.8.5 which I find a bit outdated. I can update Ruby to 1.8.7 (OSX's version) by the following commands $ cd /Applications/Google\ SketchUp\ ...
1
vote
1answer
830 views

Ruby script step in Mac Automator workflow does not exit

I have created an Automator workflow in Mac OS X 10.5.8. The workflow is supposed to run a Ruby script and then shutdown the computer. The Ruby script copies files between several computers and then ...